package edu.wpi.ari.glados.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import net.miginfocom.swing.MigLayout;

public class GLaDOSConfigPanel extends JPanel implements ActionListener{
	private static final long serialVersionUID = 1L;
	private JTextField host;
	private JTextField wcLPort;
	private JTextField wcRPort;
	private JTextField ctlPort;
	
	public GLaDOSConfigPanel() {
		super(new MigLayout());
		
		host = new JTextField("130.215.", 20);
		add(new JLabel("Host:"));
		add(host, "span");
		
		wcLPort = new JTextField("7777", 5);
		add(new JLabel("Left Cam Port:"));
		add(wcLPort, "span");
		
		wcRPort = new JTextField("8888", 5);
		add(new JLabel("Right Cam Port:"));
		add(wcRPort, "span");
		
		ctlPort = new JTextField("2727", 5);
		add(new JLabel("Control Port:"));
		add(ctlPort, "span");
		
		JButton btnUpdate = new JButton("Update");
		add(btnUpdate, "span");
		
		btnUpdate.addActionListener(this);
	}

	public void actionPerformed(ActionEvent ae) {
		System.out.println("Updated");
		try {
			//GLaDOS.getInstance().setHost(host.getText());
			//GLaDOS.getInstance().setWcLPort(Integer.parseInt(wcLPort.getText()));
			//GLaDOS.getInstance().setWcRPort(Integer.parseInt(wcRPort.getText()));
			//GLaDOS.getInstance().setCtlPort(Integer.parseInt(ctlPort.getText()));
		} catch(Exception e) {
			JOptionPane.showMessageDialog(this,
				    "You must enter a valid hostname and ports must be integers",
				    "Invalid Hostname/Port Value",
				    JOptionPane.ERROR_MESSAGE);
		}
	}
}
