package edu.wpi.ari.glados.gui;

import java.awt.Dimension;

import javax.swing.JFrame;

import com.pagosoft.plaf.PlafOptions;

public class GLaDOSFrame extends JFrame {

	private static final long serialVersionUID = 1L;

	public GLaDOSFrame(Dimension d) {
		
		// kill the program if the window closes
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		// make it look like the native system
		JFrame.setDefaultLookAndFeelDecorated(false);

		// put the title on the frame
		GLaDOSStatusBar.getInstance().setStatusBar("started");
		setTitle("GLaDOS v2");

		// size and show the frame
		setSize(d);
		setVisible(true);

		// center frame
		setLocationRelativeTo(null);
		
		PlafOptions.setAsLookAndFeel();
	}
}
