package edu.wpi.ari.glados.ins;

/**
 * @author robertbreznak
 */
public interface IINSObervable {
	/**
	 * Add an observer to be notified when an update occurs
	 * @param l
	 */
	public void addListener(INSObserver l);
	
	/**
	 * Remove an observer from the notification list
	 * @param l
	 */
	public void removeListener(INSObserver l);
	
	/**
	 * Remove all observers from the notification list
	 */
	public void removeAll();
}
