package edu.wpi.ari.glados.ins;

class Integrator {
	private double lastX = 0;
	private double lastY = 0;
	
	private double lastV = 0;

	public void reset(){
		lastX = 0;
		lastY = 0;
	}
	public double trap(double x1, double y1, double x2, double y2){
		return((x2-x1)/2)*(y1+y2);
	}
	
	public double calcV(double newTime, double newAccel){
		lastV = lastV + trap(newTime, newAccel);
		return lastV;
	}
	public double trap(double x2, double y2){
		double expr = ((x2-lastX)/2)*(lastY+y2);
		lastX = x2;
		lastY = y2;
		return expr;
	}
	public double getLastX() {
		return lastX;
	}
	public void setLastX(double lastX) {
		this.lastX = lastX;
	}

	
}
