package edu.wpi.ari.glados.vision;

/**
 * @author robert breznak
 */
interface IVisionObervable {
	/**
	 * Add an observer to be notified when an update occurs
	 * @param l
	 */
	public void addListener(VisionObserver l);
	
	/**
	 * Remove an observer from the notification list
	 * @param l
	 */
	public void removeListener(VisionObserver l);
	
	/**
	 * Remove all observers from the notification list
	 */
	public void removeAll();
}
