package edu.wpi.rbreznak.jtank.controller;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JComponent;

class Display extends JComponent {

	private static final long serialVersionUID = 1L;
	private double x, y;

	public void setX(double d) {
		this.x = d;
	}

	public void setY(double y) {
		this.y = y;
	}
	
	public int calcX() {
		int midX = getSize().width / 2;
		
		return (int) (2 * midX + midX*x);
	}
	
	public int calcY() {
		int midY = getSize().height / 2;
		
		return (int) (2 * midY + midY*y);
	}

	public void paint(Graphics g) {
		Graphics2D g2d = (Graphics2D) g;

		int midX = getSize().width / 2;
		int midY = getSize().height / 2;

		g2d.setColor(Color.BLACK);

		g2d.drawLine(midX, 0, midX, getSize().height);
		g2d.drawLine(0, midY, getSize().width, midY);

		g2d.drawOval((calcX() - 50) / 2, (calcY() - 50) / 2, 50, 50);
	}
}